俺にかまうな,先に行け

図書館情報学を専攻している学生のあれこれです.

Eclipse 4.7でRuby開発環境を整える

Eclipse 4.7 Oxygen でRubyのによる開発をできるようにしていきます。

 

Rubyのダウンロード
Windowsの皆さんはこのあたりからどうぞ。
https://rubyinstaller.org/downloads/
64bitの人は「x64」です。

 

Ruby開発ツールをEclipse上にインストールする

1.[ヘルプ]-[Eclipse マーケットプレース]

2.[検索]タブで、「ruby」を検索。
検索結果から、[Ruby(DLTK)5.8.0]をインストールする。
示されたとおりに進んでいけばOKです。

 

Rubyインタプリタを設定する
1.[ウィンドウ]-[設定]を開く。
2.左側にあるメニューから[Ruby]-[インタープリター]を選ぶ。
3.画面右上の「追加」を押す。
4.「インタープリターの追加」ウィンドウが開くので、「ruby.exe」ファイルの場所を「インタープリター実行可能ファイル」に設定する。
例)私の場合は……
C:\Ruby23\bin\ruby.exe

5.「OK」を押していけば、完了です。